--
-- Projet: rechercheetlabo
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--         http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

CREATE TABLE LABORATOIRE (
  ID_LABORATOIRE                    BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  LIBELLE_COURT                     VARCHAR(120)    DEFAULT '',
  LIBELLE_LONG                      TEXT,
  TYPE_LABORATOIRE                  TEXT,
  STRUCTURE_ENSEIGNEMENT            VARCHAR(1)      DEFAULT '',
  REFERENCE_UMR                     TEXT,
  RECONNAISSANCE                    TEXT,
  DIRECTION_SCIENTIFIQUE            VARCHAR(8)      DEFAULT '',
  CODE_RATTACHEMENT_AUTRES          TEXT,
  RATTACHEMENT_EXTERNE              TEXT,
  ID_BANDEAU                        BIGINT,
  ONGLETS                           TEXT,
  COULEUR_TITRE                     VARCHAR(20)     DEFAULT '',
  COULEUR_FOND                      VARCHAR(20)     DEFAULT '',
  ADRESSE                           TEXT,
  CODE_POSTAL                       VARCHAR(5)      DEFAULT '',
  VILLE                             VARCHAR(128)    DEFAULT '',
  VILLES                            TEXT,
  TELEPHONE                         VARCHAR(30)     DEFAULT '',
  TELECOPIE                         VARCHAR(30)     DEFAULT '',
  ADRESSE_MAIL                      VARCHAR(255)    DEFAULT '',
  SITE_WEB                          VARCHAR(255)    DEFAULT '',
  CODE_RESPONSABLE                  TEXT,
  COMPOSITION                       TEXT,
  AXE_RECHERCHE_ETABLISSEMENT       TEXT,
  AXES_RECHERCHE                    TEXT,
  DOMAINE_APPLICATION               TEXT,
  LANGUES_PARLEES                   TEXT,
  FORMATIONS                        TEXT,
  PUBLICATIONS                      TEXT,
  EQUIPEMENTS                       TEXT,
  COOPERATIONS_INTERNATIONALES      TEXT,
  COLLABORATIONS_UNIVERSITAIRES     TEXT,
  COOPERATIONS_INDUSTRIELLES        TEXT,
  CHIFFRES_CLES                     TEXT,
  COMPLEMENT_COORDONNEES            TEXT,
  COMPLEMENTS                       TEXT,
  ID_PLAN_ACCES                     BIGINT,
  ID_PHOTO                          BIGINT,
  CODE                              VARCHAR(64)     DEFAULT '',
  CODE_RUBRIQUE                     VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT                 VARCHAR(64)     DEFAULT '',
  META_KEYWORDS                     TEXT,
  META_DESCRIPTION                  TEXT,
  TITRE_ENCADRE                     VARCHAR(32)     DEFAULT '',
  CONTENU_ENCADRE                   TEXT,
  ENCADRE_RECHERCHE                 VARCHAR(4)      DEFAULT '',
  ENCADRE_RECHERCHE_BIS             VARCHAR(4)      DEFAULT '',
  DATE_ALERTE                       DATE            DEFAULT NULL,
  MESSAGE_ALERTE                    TEXT,
  DATE_CREATION                     DATETIME        DEFAULT NULL,
  DATE_PROPOSITION                  DATETIME        DEFAULT NULL,
  DATE_VALIDATION                   DATETIME        DEFAULT NULL,
  DATE_MODIFICATION                 DATETIME        DEFAULT NULL,
  CODE_REDACTEUR                    VARCHAR(64)     DEFAULT '',
  CODE_VALIDATION                   VARCHAR(64)     DEFAULT '',
  LANGUE                            VARCHAR(4)      DEFAULT '',
  ETAT_OBJET                        VARCHAR(4)      DEFAULT '',
  NB_HITS                           BIGINT,
  DIFFUSION_PUBLIC_VISE             VARCHAR(255)    DEFAULT '',
  DIFFUSION_MODE_RESTRICTION        VARCHAR(1)      DEFAULT '',
  DIFFUSION_PUBLIC_VISE_RESTRICTION VARCHAR(255)    DEFAULT ''
);