<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: rechercheetlabo
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.util.Locale"%>
<%@page import="java.util.StringTokenizer"%>
<%@page import="org.apache.commons.lang3.StringUtils" %>
<%@page import="com.jsbsoft.jtf.core.Formateur"%>
<%@ page import="com.kosmos.service.impl.ServiceManager, com.kportal.cms.objetspartages.Objetpartage, com.kportal.ihm.utils.FrontUtil, com.ksup.objetspartages.om.Laboratoire, com.univ.objetspartages.bean.MediaBean" errorPage ="/jsp/jsb_exception.jsp" %>
<%@ page import="com.univ.objetspartages.bean.RessourceBean" %>
<%@ page import="com.univ.objetspartages.om.AnnuaireModele" %>
<%@ page import="com.univ.objetspartages.om.FicheAnnuaire" %>
<%@ page import="com.univ.objetspartages.om.ReferentielObjets" %>
<%@ page import="com.univ.objetspartages.om.StructureModele" %>
<%@ page import="com.univ.objetspartages.services.ServiceMedia" %>
<%@ page import="com.univ.objetspartages.services.ServiceRessource" %>
<%@ page import="com.univ.objetspartages.services.ServiceStructure" %>
<%@ page import="com.univ.objetspartages.util.LabelUtils" %>
<%@ page import="com.univ.objetspartages.util.MediaUtils" %>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.URLResolver" %>
<%@taglib prefix="components" uri="http://kportal.kosmos.fr/tags/components" %>
<%@ taglib prefix="kmedia" uri="kmedia"%>
<%
    /********************************************
    *          Initialisation de la fiche         *
    *********************************************/
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
    final ServiceRessource serviceRessource = ServiceManager.getServiceForBean(RessourceBean.class);
    ServiceMedia serviceMedia = ServiceManager.getServiceForBean(MediaBean.class);
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Laboratoire laboratoire = (Laboratoire)ctx.getFicheCourante();
    Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(laboratoire));
    String responsables = "";
    String adresse = laboratoire.getAdresse();
    String codePostal = laboratoire.getCodePostal();
    String ville = laboratoire.getVille();
    String complementsCoordonnees = laboratoire.getFormatedComplementCoordonnees();
    String adresseMail = laboratoire.getAdresseMail();
    String siteWeb = laboratoire.getSiteWeb();
    String telephone = laboratoire.getTelephone();
    String telecopie = laboratoire.getTelecopie();
    String tutelle = laboratoire.getReconnaissance();
    String composition = laboratoire.getFormatedComposition();
    String axesRechercheEtablissement = laboratoire.getLibelleAxeRechercheEtablissement();
    String axesRecherche = laboratoire.getFormatedAxeRecherche();
    String domainesApplication = laboratoire.getLibelleDomaineApplication();
    String languesParlees = laboratoire.getLanguesParlees();
    String formations = laboratoire.getFormatedFormations();
    String publications = laboratoire.getFormatedPublications();
    String equipements = laboratoire.getFormatedEquipements();
    String cooperationsInternationales = laboratoire.getFormatedCooperationsInternationales();
    String collaborationsUniversitaires = laboratoire.getFormatedCollaborationsUniversitaires();
    String cooperationsIndustrielles = laboratoire.getFormatedCooperationsIndustrielles();
    StructureModele structureRattachement = serviceStructure.getByCodeLanguage(laboratoire.getCodeRattachement(), ctx.getLangue());
    String strRattachementAutres = StringUtils.EMPTY;
    String urlPlan = MediaUtils.getUrlAbsolue(serviceMedia.getById(laboratoire.getIdPlanAcces()));
    String rattachementsExternes = laboratoire.getRattachementExterne();
    String urlPhoto = StringUtils.EMPTY;
    String references = laboratoire.getReferenceUmr();
    String directionScientiques = laboratoire.getLibelleDirectionScientifique();
    /********************************************
    *         Calcul des champs         *
    *********************************************/
    /* calcul des responsables */
    StringTokenizer stResponsables = new StringTokenizer(laboratoire.getCodeResponsable(), ";");
    Locale langueResponsable = null;
    while (stResponsables.hasMoreTokens()) {
        StringTokenizer stCodesResponsables = new StringTokenizer(stResponsables.nextToken(), ",");
        if (stCodesResponsables.hasMoreTokens()) {
            AnnuaireModele annuaire = FicheAnnuaire.getFicheAnnuaire(stCodesResponsables.nextToken(), ctx.getLangue());
            if (annuaire != null) {
                responsables += "<li><a "+FrontUtil.addDataTest("labo-nom-prenom-responsable")+" href=\"" + URLResolver.getAbsoluteUrlFiche(annuaire , ctx) + "\">";
                if (annuaire.getCivilite().length() > 0 && !annuaire.getCivilite().equals("0000")) {
                    responsables += annuaire.getCivilite() + " ";
                }
                responsables += annuaire.getPrenom() + " " + annuaire.getNom() + "</a>";
                if (stCodesResponsables.hasMoreTokens()) {
                    langueResponsable = com.jsbsoft.jtf.core.LangueUtil.getLocale(new Integer(stCodesResponsables.nextToken()));
                } else {
                    langueResponsable = ctx.getLocale();
                }
                if (stCodesResponsables.hasMoreTokens()) {
                    responsables += "<span "+ FrontUtil.addDataTest("labo-titre-responsable")+ "> (" + LabelUtils.getLibelle("64", stCodesResponsables.nextToken(), langueResponsable) + ") </span>";
                }
                responsables += "</li>";
            }
        }
    }
    if (StringUtils.isNotBlank(responsables)) {
        responsables = "<ul>" + responsables + "</ul>";
    }
    /* calcul de l'adresse */
    if (StringUtils.isNotBlank(codePostal)) {
        if (StringUtils.isNotBlank(adresse)) {
            adresse += "<br />";
        }
        adresse += codePostal;
    }
    if (StringUtils.isNotBlank(ville)) {
        if (StringUtils.isNotBlank(adresse)) {
            adresse += " ";
        }
        adresse += ville;
    }
    /* calcul des autres structures de rattachement */
    StringTokenizer stRattAutres = new StringTokenizer(laboratoire.getCodeRattachementAutres(), ";");
    while (stRattAutres.hasMoreTokens()) {
        if (StringUtils.isNotBlank(strRattachementAutres)) {
            strRattachementAutres += "<br />";
        }
        StructureModele structureRattachementAutres = serviceStructure.getByCodeLanguage(stRattAutres.nextToken(), ctx.getLangue());
        if (structureRattachementAutres != null) {
            strRattachementAutres += "<a "+FrontUtil.addDataTest("labo-structure-supp")+" href=\"" + URLResolver.getAbsoluteUrlFiche(structureRattachementAutres, ctx) + "\">" + structureRattachementAutres.getLibelleAffichable() + "</a>";
        }
    }
    /********************************************
    *         Affichage des champs         *
    *********************************************/
    if (Formateur.estSaisi(siteWeb) || FrontUtil.isAnyNotBlank(urlPhoto, adresse, adresseMail, telephone, telecopie, urlPlan)) {
        %><dl class="type_1"><%
        /* affichage du bloc adresse */
        if (StringUtils.isNotBlank(adresse)) {
            %><dt><%=module.getMessage("ST_LABORATOIRE_ADRESSE")%> :</dt>
            <dd itemprop="address" itemscope itemtype="http://schema.org/PostalAddress"><span <%=FrontUtil.addDataTest("labo-adresse") %>><%=adresse%></span></dd><%
        }
        /* affichage du téléphone */
        if (StringUtils.isNotBlank(telephone)) {
            %><dt><%=module.getMessage("ST_LABORATOIRE_TELEPHONE")%> :</dt>
            <dd itemprop="telephone"><%=telephone%></dd><%
        }
        /* affichage de la télécopie */
        if (StringUtils.isNotBlank(telecopie)) {
            %><dt><%=module.getMessage("ST_LABORATOIRE_TELECOPIE")%> :</dt>
            <dd itemprop="faxNumber"><%=telecopie%></dd><%
        }
        /* affichage de l'adresse mail */
        if (StringUtils.isNotBlank(adresseMail)) {
            %><dt><%=module.getMessage("ST_LABORATOIRE_MEL")%> :</dt>
            <dd itemprop="email"><components:email-link href="<%= adresseMail %>"/></dd><%
        }
        /* affichage du site web */
        if (Formateur.estSaisi(siteWeb)) {
            %><dt><%=module.getMessage("ST_LABORATOIRE_SUR_INTERNET")%> :</dt>
            <dd itemprop="sameAs"><a href="<%=siteWeb%>"><%=siteWeb%></a></dd><%
        }
        /* affichage du lien plan d'accès */
        if (StringUtils.isNotBlank(urlPlan) || StringUtils.isNotBlank(complementsCoordonnees)) { %>
            <dt><%=module.getMessage("ST_LABORATOIRE_COMPLEMENT_COORDONNES")%> :</dt>
            <dd>
                <%
                if (StringUtils.isNotBlank(complementsCoordonnees)) {%>
                    <div class="toolbox" <%=FrontUtil.addDataTest("labo-complement-coordonnees")%>>
                        <%= StringUtils.defaultString(complementsCoordonnees) %>
                    </div>
                <%}
                if (StringUtils.isNotBlank(urlPlan)) {%>
                    <a href="<%=URLResolver.getAbsoluteUrl(urlPlan, ctx)%>" onclick="ouvrirFenetrePlan(this.href, 'plan'); return false;">
                        <%=module.getMessage("ST_LABORATOIRE_PLAN_ACCES")%>
                    </a>
                <%}%>
            </dd>
        <%}%>
        </dl>
    <%}
    RessourceBean photoJointe = serviceRessource.getFile(laboratoire);
    if (photoJointe != null) {%>
        <div class="photo">
            <kmedia:champPhoto media="<%= photoJointe %>"/>
        </div>
        <!-- fin .photo --><%
    }
    if(structureRattachement != null || strRattachementAutres.length() > 0 || rattachementsExternes.length() > 0 ||StringUtils.isNotBlank(references) || StringUtils.isNotBlank(directionScientiques) || tutelle.length() > 0) { %>
        <div class="infos-generales">
        <h2><%=module.getMessage("ST_LABORATOIRE_INFOS_GENERALES")%> </h2><%
        /* affichage des structures de rattachement */
        if (structureRattachement != null || StringUtils.isNotBlank(strRattachementAutres)) {
            %><span class="label"><%=module.getMessage("ST_LABORATOIRE_STRUCTURE_S_RATTACHEMENT")%> :</span>
            <p><%
            if (structureRattachement != null) {
                %><a itemprop="parentOrganization" href="<%=URLResolver.getAbsoluteUrlFiche(structureRattachement, ctx)%>"><%=structureRattachement.getLibelleLong()%></a><br /><%
            }
            %><%=strRattachementAutres%>
            <br class="separateur" />
            </p><%
        }
        /* affichage des rattachements externes */
        if (StringUtils.isNotBlank(rattachementsExternes)) {
            %><p>
                <span class="label"><%=module.getMessage("ST_LABORATOIRE_RATTACHEMENTS_EXTERNES")%> :</span>
                <span <%=FrontUtil.addDataTest("labo-rattachement-externe")%>><%=rattachementsExternes%></span>
            </p><%
        }
        /* affichage de la tutelle */
        if (StringUtils.isNotBlank(tutelle)) {
            %><p>
                <span class="label"><%=module.getMessage("ST_LABORATOIRE_TUTELLE")%> :</span>
                <span <%=FrontUtil.addDataTest("labo-tutelle")%>><%=tutelle%></span>
            </p><%
        }
        if (StringUtils.isNotBlank(references)) {
            %><p>
                <span class="label"><%=module.getMessage("ST_LABORATOIRE_REFERENCE_UMR")%> :</span>
                <span <%=FrontUtil.addDataTest("labo-reference")%> itemprop="alternateName"><%=references%></span>
            </p><%
        }
        if (StringUtils.isNotBlank(directionScientiques)) {
            %><p>
                <span class="label"><%=module.getMessage("ST_LABORATOIRE_DIRECTION_SCIENTIFIQUE")%> :</span>
                <span <%=FrontUtil.addDataTest("labo-departement")%> itemprop="department"><%=directionScientiques%></span>
            </p><%
        }
        %></div><%
    }
    /* affichage de la photo jointe, des responsables, et de la composition */
    if (FrontUtil.isAnyNotBlank(responsables, composition)) {
        %><div class="element_deco organisation">
            <h2><%=module.getMessage("ST_LABORATOIRE_ORGANISATION")%></h2><%
            if (StringUtils.isNotBlank(responsables)) {
                %><span class="label"><%=module.getMessage("ST_LABORATOIRE_RESPONSABLE") %> : </span>
                <div itemprop="member">
                    <%=responsables%>
                </div><%
            }
            if (StringUtils.isNotBlank(composition)) {
            %>
                <div <%=FrontUtil.addDataTest("labo-composition-equipe")%>>
                    <span class="label"><%=module.getMessage("ST_LABORATOIRE_COMPOSITION") %></span>
                    <div class="toolbox">
                        <%=composition%>
                    </div>
                </div><%
            }
        %>
        </div><!-- .element_deco --><%
    }
    if (FrontUtil.isAnyNotBlank(axesRechercheEtablissement, axesRecherche, domainesApplication, languesParlees)) {
        %><div class="element_deco organisation motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_LABORATOIRE_ACTIVITE")%></h2></div>
            <div class="motif__contenu"><%
            if (StringUtils.isNotBlank(axesRechercheEtablissement)) {
                %><div class="element_deco">
                    <h3><%=module.getMessage("ST_LABORATOIRE_AXE_RECHERCHE_ETABLISSEMENT")%></h3>
                    <span <%=FrontUtil.addDataTest("labo-axe-recherche")%>><%=axesRechercheEtablissement%></span>
                </div><!-- .element_deco --><%
            }
            if (StringUtils.isNotBlank(axesRecherche)) {
                %><div class="element_deco">
                    <h3><%=module.getMessage("ST_LABORATOIRE_THEME_RECHERCHE")%></h3>
                    <div class="toolbox" <%=FrontUtil.addDataTest("labo-theme-recherche")%>><%=axesRecherche%></div>
                </div><!-- .element_deco --><%
            }
            if (StringUtils.isNotBlank(domainesApplication)) {
                %><div class="element_deco">
                    <h3><%=module.getMessage("ST_LABORATOIRE_DOMAINE_S_APPLICATION")%></h3>
                    <span <%=FrontUtil.addDataTest("labo-domaine-application")%>><%=domainesApplication%></span>
                </div><!-- .element_deco --><%
            }
            if (StringUtils.isNotBlank(languesParlees)) {
                %><div class="element_deco">
                    <h3><%=module.getMessage("ST_LABORATOIRE_LANGUES_PARLEES")%></h3>
                    <span <%=FrontUtil.addDataTest("labo-langue-parlee")%>><%=languesParlees%></span>
                </div><!-- .element_deco --><%
            }
            %></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(publications)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_LABORATOIRE_PUBLICATIONS")%></h2></div>
            <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("labo-publications")%>><%=publications%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(equipements)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_LABORATOIRE_EQUIPEMENTS")%></h2></div>
            <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("labo-equipements")%>><%=equipements%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (StringUtils.isNotBlank(formations)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_LABORATOIRE_FORMATIONS")%></h2></div>
            <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("labo-formations")%> itemscope itemtype="http://schema.org/Course"><%=formations%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    if (FrontUtil.isAnyNotBlank(cooperationsInternationales, collaborationsUniversitaires, cooperationsIndustrielles)) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_LABORATOIRE_PARTENARIATS")%></h2></div>
            <div class="motif__contenu"><%
            if (StringUtils.isNotBlank(cooperationsInternationales)) {
				%><div class="element_deco">
					<h3><%=module.getMessage("ST_LABORATOIRE_PARTENARIATS_INTER")%></h3>
					<div class="toolbox" <%=FrontUtil.addDataTest("labo-coop-internationale")%>><%=cooperationsInternationales%></div>
				 </div><%
            }
            if (StringUtils.isNotBlank(collaborationsUniversitaires)) {
                %><div class="element_deco">
					<h3><%=module.getMessage("ST_LABORATOIRE_PARTENARIATS_UNIV")%></h3>
					<div class="toolbox" <%=FrontUtil.addDataTest("labo-colab-universitaire")%>><%=collaborationsUniversitaires%></div>
				</div><%
            }
            if (StringUtils.isNotBlank(cooperationsIndustrielles)) {
                %><div class="element_deco">
					<h3><%=module.getMessage("ST_LABORATOIRE_PARTENARIATS_INDUS")%></h3>
					<div class="toolbox" <%=FrontUtil.addDataTest("labo-coop-industrielle")%>><%=cooperationsIndustrielles%></div>
				</div><%
            }
        %></div><!-- .motif__contenu --></div><!-- .element_deco --><%
    }
%>
